<form name="deleteForm" (ngSubmit)="confirmDelete(user.username)">
    <div class="modal-header">
        <h4 class="modal-title">Confirm delete operation</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <p>Are you sure you want to delete this User?</p>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" class="btn btn-danger">
            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Delete</span>
        </button>
    </div>
</form>
